<!DOCTYPE html>
{% extends "base.html" %}
{% load static %}
{% block content %}
<header>
</header>


<html>
<head>
  <link href="https://fonts.googleapis.com/css2?family=Muli:ital,wght@1,577&display=swap" rel="stylesheet">
<title>Transaksi</title>
<style>
    body{
      background-color: lightblue;
      font-family: 'Muli', sans-serif;
    }
    h1{
        text-align: center;
    }
    table {
      font-family: arial, sans-serif;
      border-collapse: collapse;
      width: 100%;
    }
    
    td, th {
      border: 1px solid #dddddd;
      text-align: left;
      padding: 8px;
    }
    
    tr:nth-child(even) {
      background-color: #dddddd;
    }
    </style>
</head>
<body>
  <div class="shadow-sm p-3 mb-5 bg-white rounded">
<h1>Daftar Transaksi</h1>
<table class="table">
  <thead>
    <tr>
      <th scope="col">No</th>
      <th scope="col">Tanggal</th>
      <th scope="col">Status</th>
      <th scope="col">Total Biaya</th>
      <th scope="col">Waktu Pembayaran</th>
      <th scope="col">Nomor Rekam Medis Pasien</th>
      {% if request.session.role == 'admin' %}
      <th scope="col">Action</th>
      {% endif %}
    </tr>
  </thead>
  <tbody>
    {% for d in data %}
    <tr>
      <td>{{ forloop.counter }}</td>
      <td>{{d.1}}</td>
      <td>{{d.2}}</td>
      <td>{{d.3}}</td>
      <td>{{d.4}}</td>
        <td>{{d.5}}</td>
        {% if request.session.role == 'admin' %}
        <td>
              {% csrf_token %}
            <a class = "btn btn-outline-success"href = "{% url 'updatetransaksi' id=d.0%}" type="button" class="btn btn-outline-success ">UPDATE</a>  
           
            <form action="{% url 'deletetransaksi' %}" method="POST">
              {% csrf_token %}
            <input type="hidden" name="id_transaksi" value="{{ d.0 }}">
              <button type="submit" class="btn btn-outline-danger">DELETE</button>
            </form>
            

        </td>
        {% endif %}
    </tr>
    {% endfor %}
  </tbody>
</table>
</div>
</body>
</html>
{% endblock %}